<?php
session_start();
echo $qual_vestibular;
exit;
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');

mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );

if ( $enviar == "Sim") {
  mysql_query("delete from resultado_final") or die('Naum consegui apagar registro anterior');
  mysql_query("delete from resultado_parcial") or die('Naum consegui apagar registro anterior');
  
  echo '<br><br><br><br><strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Os dados foram excluídos com sucesso. Clique aqui para recalcular o resultado do vestibular. <br>
<a href="proces_resultados.php">Calcular Resultado</a>
</font></div></strong><br><br>';
exit;
}
if ( $enviar == "Não") {
  echo '<br><br><br><br><strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Para visualizar o resultado final clique em relatórios</font></div></strong><br><br>';
exit;
}

$resultado = mysql_query("select matricula from resultado_final");
$num_resultado = mysql_num_rows($resultado);

if ( $num_resultado != 0 ) {
echo '<br><br><br><br><strong><div align="center"><font face="Verdana" size="2" color="#FF0000">O Resultado do vestibular já foi Processado.<br>Deseja apagar todos os dados processados anteriormente e fazer um novo processamento?<br><br>';
echo '<form action="proces_resultados.php" method="post">
 <input type="submit" name="enviar" value="Sim">  <input type="submit" name="enviar" value="Não">
</form>
</font></div></strong>';
exit;
}


$query_1 = "select * from resp_candidato where codigo_vest = `$qual_vestibular`";
$result = mysql_query($query_1) or die('Não execute query_1');

while ($resultado = mysql_fetch_array($result) ) {
 $matr_candidato = $resultado["candidato"];
 $cod_prova = $resultado["prova"];
 $respostas_candidato = $resultado["respostas"];
 //echo 'Resp Cand.: ' . $respostas_candidato . '<br>';
 $result_1 = mysql_query("select nome_candidato, curso,lingua, codtelefone, telefone from candidato where codigo = '$matr_candidato' and codigo_vest = $qual_vestibular");
 $temp_1 = mysql_fetch_array($result_1);
 
$nome_candidato = trim(Descriptografar($temp_1["nome_candidato"],$Chave));
$curso_candidato = trim(Descriptografar($temp_1["curso"],$Chave));
$lingua_candidato = trim(Descriptografar($temp_1["lingua"],$Chave));
//echo "$matr_candidato<br>$nome_candidato<br>$curso_candidato<br>$lingua_candidato<br><br>";
$codtelefone = trim(Descriptografar($temp_1["codtelefone"],$Chave));
$telefone = trim(Descriptografar($temp_1["telefone"],$Chave));;

//echo "COD_CURSO=$curso_candidato<br>COD_PROVA=$cod_prova<br><br>";

$result_2 = mysql_query("select codigo,inicia_em, numero_questoes,materia from gabarito_conf where curso = '$curso_candidato' and codigo_prova = '$cod_prova'") or die ('Naum executei query_2');

      $codigo_interno = array();
	  $inicia_em = array();
	  $numero_questoes = array();
	  $materia = array();
	  $i = 0;
   while ($temp_2 = mysql_fetch_array($result_2)) {
		$codigo_interno[$i] = $temp_2["codigo"];
		$inicia_em[$i] = trim(Descriptografar($temp_2["inicia_em"],$Chave));
		$numero_questoes[$i] = trim(Descriptografar($temp_2["numero_questoes"],$Chave));
		$materia[$i] = trim(Descriptografar($temp_2["materia"],$Chave));
		$i++;
  }

 for ($j = 0; $j < $i; $j++) {
 
      $codigo_t = $codigo_interno[$j];
      $result_3 = mysql_query("select respostas,pesos, le from respostas_gab where codigo_interno = '$codigo_t'");
      $temp_3 = mysql_fetch_array($result_3);
	    $respostas = trim(Descriptografar($temp_3["respostas"],$Chave));
		//echo 'Resp Oficial.: ' . $respostas . '<br>';
		$pesos = trim(Descriptografar($temp_3["pesos"],$Chave));
		$lingua_estrangeira = $temp_3["le"];
        
		$pontos = 0;
		//echo 'controle..: ' . $inicia_em[$j] . ' - ' . $numero_questoes[$j] . '<br>';
		$resp_comparacao = substr($respostas_candidato,($inicia_em[$j] - 1),$numero_questoes[$j]);
		//echo 'Comparacao ..: ' . $resp_comparacao . '<br><br>';
		$array_pesos = split('X',$pesos);
		$array_respostas = split('X',$respostas);
		for ( $k = 0; $k < (count($array_respostas) - 1); $k++) {
			//echo "<font color=\"red\">Nome_Candidato=$nome_candidato<br>TELEFONE=($codtelefone) $telefone<Br>RC=" . $resp_comparacao[$k] . "<br>GO=" . $array_respostas[$k] . "<br>P=" . $array_pesos[$k] . "</font><br><br>";

			if ($lingua_estrangeira == 0) {
				$materia_auxiliar = $materia[$j];
			    $query_t = "select * from anular where curso = $curso_candidato and materia = $materia_auxiliar";
			$result_t = mysql_query($query_t) or die('Erro ao executar query linha 95');
			  $result_obtido = mysql_num_rows($result_t);
			   if ( $result_obtido != 0 ) {
			      $temp = mysql_fetch_array($result_t);
				  $valor_questao = $temp["valor_questao"];
				  $pontos = $pontos + $valor_questao;
			   }
			   else {
				  if (strtolower($array_respostas[$k]) == strtolower($resp_comparacao[$k])) {
		   			 $pontos = $pontos + (1 * $array_pesos[$k]);
		  		  }
			   } 
				
			} // Fim do if ($lingua_estrangeira == 0)
			else {
				if ($lingua_estrangeira == $lingua_candidato) {
					//echo 'Ola<br>';
					$materia_auxiliar = $materia[$j];
			    	$query_t = "select * from anular where curso = $curso_candidato and materia = $materia_auxiliar";
					$result_t = mysql_query($query_t) or die('Erro ao executar query linha 95');
			  		$result_obtido = mysql_num_rows($result_t);
			   		if ( $result_obtido != 0 ) {
			      		$temp = mysql_fetch_array($result_t);
				  		$valor_questao = $temp["valor_questao"];
				  		$pontos = $pontos + $valor_questao;
			   		}
					else {
					  if (strtolower($array_respostas[$k]) == strtolower($resp_comparacao[$k])) {
			   			  $pontos = $pontos + (1 * $array_pesos[$k]);
			  		  }
					}
				}
			}
		}
		$materia_auxiliar = $materia[$j];
		$query = "insert into resultado_parcial (matricula, cod_curso, cod_materia, pontuacao, codigo_vest) values ('$matr_candidato', '$curso_candidato', '$materia_auxiliar', $pontos)";




//		mysql_query ($query)
//			or die(mysql_error());





		//echo 'Mat..: ' . $matr_candidato . ' Cand..: ' . $nome_candidato . ' TOTAL: ' . $pontos . ' - MATERIA: ' . $materia[$j] .'<br>';
	/*	if ( $lingua_estrangeira == $lingua_candidato ) {
		  
		}
		*/
 } // Fim do for ($j = 0; $j < $i; $j++)
// echo '<br>'; 
 //trim(Descriptografar($info["curso"],$Chave));  
} // Fim do while ($resultado = mysql_fetch_array($resultado) ) {



///
///
/// Calculando classificacao final
///
///


	$query_pesos = "Select * from pesos";
	$result_pesos = mysql_query($query_pesos)
		or die(mysql_error());
	$peso_materia = array();
	$peso_prova = array();
	$peso_valor = array();
	$num_pesos = mysql_num_rows($result_pesos);
	$i = 1;
	while($parcial_pesos = mysql_fetch_array($result_pesos)) {
		$peso_curso[$i] = trim(Descriptografar($parcial_pesos["codigo_do_curso"],$Chave));
		$peso_materia[$i] = trim(Descriptografar($parcial_pesos["codigo_da_materia"],$Chave));
		$peso_valor[$i] = trim(Descriptografar($parcial_pesos["peso"],$Chave));
		$i++;
	}
/*	for ($i = 1 ; $i <= $num_pesos; $i++) {
		echo $peso_materia[$i] . '<br>';
	}
exit;

*/


$query_geral = "Select * from candidato";
$result = mysql_query($query_geral)
		or die ( 'Não foi possível executar a query 161.' );
$num_geral = mysql_num_rows($result);
//echo $num_geral;
for ($i = 1; $i <= $num_geral ; $i++) {
	// tratando matricula
	if ( $i <= 9) {
		$mat_verifica = '00000' . $i;
	}
	if ( ($i >= 10) && ($i <= 99)) {
		$mat_verifica = '0000' . $i;
	}
	if ( ($i >= 100) && ($i <= 999)) {
		$mat_verifica = '000' . $i;
	}
	if ( ($i >= 1000) && ($i <= 9999)) {
		$mat_verifica = '00' . $i;
	}
	if ( ($i >= 10000) && ($i <= 99999)) {
		$mat_verifica = '0' . $i;
	}
	if ( $i >= 100000) {
		$mat_verifica =  $i;
	}
	$query_pessoal = "Select * from resultado_parcial where matricula = '$mat_verifica'";
	$result_parcial = mysql_query($query_pessoal)
		or die(mysql_error());
	$num_parcial = mysql_num_rows($result_parcial);
	$total_candidato = 0;
	$situacao = 1;
	$entrou = 0 ;
	while($parcial = mysql_fetch_array($result_parcial)) {
		$entrou  = 1;
		$ponto_materia = $parcial["pontuacao"];
		$materia = $parcial["cod_materia"];
		$curso = $parcial["cod_curso"];
		for ($j=1; $j<= $num_pesos; $j++) {
			if (($materia == $peso_materia[$j]) && ($curso == $peso_curso[$j])) {
				if ($ponto_materia == 0 ) {
					$situacao = 0;
				}
				else {
					$total_candidato = $total_candidato + ($ponto_materia * $peso_valor[$j]);
				}
			}
		}
	}
	if ($entrou == 1) {
		$query_final = "insert into resultado_final (matricula, curso, total, situacao,total_final) values ('$mat_verifica', '$curso', $total_candidato, '$situacao', $total_candidato)";





//		mysql_query ($query_final)
//			or die(mysql_error());






		//echo 'Matricula ..: ' . $mat_verifica .' Pontos..: ' . $total_candidato . ' - Situ..: ' . $situacao . '<br>';
	}

}









echo '<br><br><br><br><strong><div align="center"><font face="Verdana" size="2" color="#FF0000">Resultado Processado.<br>Utilize o relatório para visualizar a classificação dos candidatos.</font></div></strong>';

?>
